#include "bits/stdc++.h"
#define ll long long
#define pb push_back
using namespace std;

void solve() {
    int n;
    cin>>n;
    int a[n+1];
    bool manji[n+1];
    manji[1]=false;
    for(int i=1;i<n+1;i++){
        cin>>a[i];
    }
    for(int i=2;i<n+1;i++){
        if(a[i]<a[i-1]){
            manji[i]=true;
        }
        else{
            manji[i]=false;
        }
    }
    int broj_manjih[n+1];
    int poslednji_manji[n+1];
    broj_manjih[0]=0;
    for(int i=1;i<n+1;i++){
        if(manji[i]){
            broj_manjih[i]=broj_manjih[i-1]+1;
            poslednji_manji[i]=i;
        }
        else{
            broj_manjih[i]=broj_manjih[i-1];
            poslednji_manji[i]=poslednji_manji[i-1];
        }
    }
    int q;
    cin>>q;
    int l,r;
    for(int i=0;i<q;i++){
        cin>>l>>r;
        int broj=broj_manjih[r]-broj_manjih[l];
        if(broj==0){
            cout<<"DA"<<endl;
        }
        else if(broj>1){
            cout<<"NE"<<endl;
        }
        else if(broj==1){
            int indeks=poslednji_manji[r];
            if(indeks==r){
                cout<<"DA"<<endl;
            }
            else if (indeks==l+1){
                cout<<"DA"<<endl;
            }
            else if(indeks==2){
                cout<<"DA"<<endl;
            }
            else if(a[indeks]>=a[indeks-2]){
                cout<<"DA"<<endl;
            }
            else if(a[indeks+1]>=a[indeks-1]){
                cout<<"DA"<<endl;
            }
            else{
                cout<<"NE"<<endl;
            }
        }
    }

}
int main () {
    ios_base::sync_with_stdio(false);
    cin.tie(0); cout.tie(0);
    int t=1;
    /*
    cin>>t;
    //*/
    while(t--) {
        solve();
    }
}